Grids

Endpoints for working with grid data and CSV exports.

Generate CSV

post

Generate a CSV file from a sheet asynchronously.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
grid_idstringRequired

The Grid id

sheet_idstringRequired

The Sheet id

Responses
chevron-right
200

Job to generate CSV created

application/json
job_idintegerOptional

The id of the job

Example: 230
post
/public_api/grids/{grid_id}/sheets/{sheet_id}/generate_csv

Download Latest CSV

get

Downloads the latest generated CSV file for a sheet. This endpoint redirects to the CSV file URL if a successful generation exists, or returns a 404 error if no CSV has been generated yet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
grid_idstringRequired

The Grid ID

sheet_idstringRequired

The Sheet ID

Responses
get
/public_api/grids/{grid_id}/sheets/{sheet_id}/download_csv/latest

No content

Last updated

Was this helpful?